package com.tuoheng.model.param;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/12/8 10:16
 */
@Data
public class CreateClientTenantDto {

    @NotEmpty(message = "username can not be empty!")
    private String username;

    @NotEmpty(message = "password can not be empty!")
    private String password;

    private String remark;

    @NotNull(message = "clientRoleDtoList can not be null!")
    private List<ClientRoleDto> clientRoleDtoList;

}
