package com.tuoheng.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/10/27 11:40
 */
@Configuration
public class WebConfig implements WebMvcConfigurer {

    @Resource
    private LoginUserHandler loginUserHandler;

    @Override
    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers) {
        argumentResolvers.add(loginUserHandler);
    }

}
